org.eclipse.wst.jsdt.ui.actions

## Class WorkingSetFindAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction
    - - org.eclipse.wst.jsdt.ui.actions.FindAction
      - - org.eclipse.wst.jsdt.ui.actions.WorkingSetFindAction

    public class WorkingSetFindAction
    extends FindAction

Wraps a `JavaElementSearchActions` to find its results in the specified working set.

The action is applicable to selections and Search view entries representing a JavaScript element.

Note: This class is for internal use only. Clients should not use this class.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`WorkingSetFindAction(IWorkbenchSite site, FindAction action, java.lang.String workingSetName)` Note: This constructor is for internal use only.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IJavaScriptElement element)` Executes this actions with the given selection.

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.FindAction

`selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, setSpecialSelectionProvider, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkingSetFindAction

    public WorkingSetFindAction(IWorkbenchSite site,
                                FindAction action,
                                java.lang.String workingSetName)

Note: This constructor is for internal use only. Clients should not call this constructor.

### Method Detail

#### run

    public void run(IJavaScriptElement element)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `FindAction`
Parameters:
  `element` - the selection